from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XViewDataSupplier(XInterface, Protocol):
    def getViewData(self) -> XIndexAccess: ...
    def setViewData(self, Data: XIndexAccess) -> None: ...
